Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package fsc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter
  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package profile
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package tasty
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- AbstractScriptRunner
- ClassPathMemoryConsumptionTester
- CloseableRegistry
- CommonRunner
- CompilationUnits
- CompilerCommand
- ConsoleWriter
- DefaultScriptRunner
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- NoScriptError
- ObjectRunner
- Parsing
- PhaseAssembly
- PickleExtractor
- PipelineMain
- PipelineMainClass
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptCompileError
- ScriptRunner
- Settings
- SubComponent

c

scala.tools.nsc

# DefaultScriptRunner

###

#### class DefaultScriptRunner extends AbstractScriptRunner

Source
  ScriptRunner.scala

Linear Supertypes
AbstractScriptRunner, ScriptRunner, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultScriptRunner
2. AbstractScriptRunner
3. ScriptRunner
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DefaultScriptRunner(settings: GenericRunnerSettings)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefaultScriptRunner toany2stringadd[DefaultScriptRunner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefaultScriptRunner, B)
   Implicit
     This member is added by an implicit conversion from DefaultScriptRunner toArrowAssoc[DefaultScriptRunner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def doCompile(scriptFile: String): Boolean

   Do compile the given script file, returning true for success.

   Do compile the given script file, returning true for success.

   Attributes
     protected
   Definition Classes
     DefaultScriptRunner → AbstractScriptRunner
9.  def ensuring(cond: (DefaultScriptRunner) => Boolean, msg: => Any): DefaultScriptRunner
   Implicit
     This member is added by an implicit conversion from DefaultScriptRunner toEnsuring[DefaultScriptRunner] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (DefaultScriptRunner) => Boolean): DefaultScriptRunner
    Implicit
      This member is added by an implicit conversion from DefaultScriptRunner toEnsuring[DefaultScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): DefaultScriptRunner
    Implicit
      This member is added by an implicit conversion from DefaultScriptRunner toEnsuring[DefaultScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): DefaultScriptRunner
    Implicit
      This member is added by an implicit conversion from DefaultScriptRunner toEnsuring[DefaultScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefaultScriptRunner toStringFormat[DefaultScriptRunner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def mainClass: String
    Attributes
      protected
    Definition Classes
      AbstractScriptRunner
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def newGlobal(settings: Settings, reporter: Reporter): Global
    Attributes
      protected
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def runScript(scriptFile: String, scriptArgs: List[String]): Option[Throwable]

    Run a script file by name, with the given arguments.

    Run a script file by name, with the given arguments.

    returns

      optionally an error, None for success

    Definition Classes
      AbstractScriptRunner → ScriptRunner
26.  final def runScriptText(command: String, scriptArgs: List[String]): Option[Throwable]

    Run the script text as supplied, with the given arguments.

    Run the script text as supplied, with the given arguments.

    returns

      optionally an error, None for success

    Definition Classes
      AbstractScriptRunner → ScriptRunner
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DefaultScriptRunner, B)
   Implicit
     This member is added by an implicit conversion from DefaultScriptRunner toArrowAssoc[DefaultScriptRunner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AbstractScriptRunner

### Inherited from ScriptRunner

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDefaultScriptRunner to any2stringadd[DefaultScriptRunner]

### Inherited by implicit conversion StringFormat fromDefaultScriptRunner to StringFormat[DefaultScriptRunner]

### Inherited by implicit conversion Ensuring fromDefaultScriptRunner to Ensuring[DefaultScriptRunner]

### Inherited by implicit conversion ArrowAssoc fromDefaultScriptRunner to ArrowAssoc[DefaultScriptRunner]

### Ungrouped